
#include "sr_global.h"
#include "dsss_demod.h"
#include "con_usart.h"

void handle_dsss_received(uint8_t data[static TRANSMISSION_SYMBOLS]) {
    con_printf("DSSS data received: ");
    for (int i=0; i<TRANSMISSION_SYMBOLS; i++) {
        int x = (data[i]>>1) * (data[i]&1 ? 1 : -1);
        con_printf("%3d ", x);
    }
    con_printf("\r\n");
}
